### Method

# Qmi MessageWdsGetProfileSettingsOutput get_umts_minimum_qos_with_signaling_indication_flag

since: 1.18

#### Declaration [src]

    gboolean
    qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos_with_signaling_indication_flag (
      QmiMessageWdsGetProfileSettingsOutput* self,
      QmiWdsTrafficClass* value_umts_minimum_qos_with_signaling_indication_flag_traffic_class,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
      QmiWdsDeliveryOrder* value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size,
      QmiWdsSduErrorRatio* value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio,
      QmiWdsSduResidualBitErrorRatio* value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio,
      QmiWdsSduErroneousDelivery* value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay,
      guint32* value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority,
      gint8* value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication,
      GError** error
    )

#### Description [src]

Get the ‘UMTS Minimum QoS With Signaling Indication Flag’ field from `self`.

Available since: 1.18

#### Parameters

`value_umts_minimum_qos_with_signaling_indication_flag_traffic_class`

  Type: `QmiWdsTrafficClass`

  A placeholder for the output `QmiWdsTrafficClass`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order`

  Type: `QmiWdsDeliveryOrder`

  A placeholder for the output `QmiWdsDeliveryOrder`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio`

  Type: `QmiWdsSduErrorRatio`

  A placeholder for the output `QmiWdsSduErrorRatio`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio`

  Type: `QmiWdsSduResidualBitErrorRatio`

  A placeholder for the output `QmiWdsSduResidualBitErrorRatio`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu`

  Type: `QmiWdsSduErroneousDelivery`

  A placeholder for the output `QmiWdsSduErroneousDelivery`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority`

  Type: `guint32*`

  A placeholder for the output #guint32, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication`

  Type: `gint8*`

  A placeholder for the output #gint8, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.